USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[webSecurity_#SEC_DEFINITION#Add]
  @UserID AS NVARCHAR(50),
  @KeyName AS NVARCHAR(50),
  @KeyValue AS NVARCHAR(150),
  @boaUserID AS NVARCHAR(50),
  @Debug AS INT = 0
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @UserCount INT
	DECLARE @AddedOn SMALLDATETIME

	--Determine if the User record already exists in #TABLE#.
	--If it does, don't insert a new record
	SET @SQL = ''
	SET @UserCount = 0
	SET @SQL = 'SELECT @UserCount = COUNT(*) FROM dbo.#TABLE#
							WHERE ' + Quotename(@KeyName)
			   + ' = @KeyValue AND UserID = @UserID'

	IF @Debug = 1
	  PRINT @SQL

	EXEC sp_executesql
	  @SQL,
	  N'@KeyName NVARCHAR(50), @KeyValue NVARCHAR(150), @UserID NVARCHAR(50), @UserCount INT OUTPUT',
	  @KeyName,
	  @KeyValue,
	  @UserID,
	  @UserCount OUTPUT

	IF @Debug = 1
	BEGIN
		PRINT @SQL

		PRINT '@UserCount = '
			  + CONVERT(NVARCHAR, @UserCount)
	END

	IF @UserCount = 0
	BEGIN
		SET @SQL = ''
		SET @AddedOn = Getdate()
		SET @SQL = 'INSERT INTO dbo.#TABLE#	('
				   + Quotename(@KeyName)
				   + ', [UserID], AddedBy, AddedOn)
					SELECT @KeyValue, @UserID, @boaUserID, @AddedOn'

		IF @Debug = 1
		BEGIN
			PRINT @SQL

			PRINT '@KeyValue = ' + @KeyValue + ', @UserID = '
				  + @UserID
		END

		EXEC sp_executesql
		  @SQL,
		  N'@KeyName NVARCHAR(50), @KeyValue NVARCHAR(150), @UserID NVARCHAR(50), @boaUserID NVARCHAR(50), @AddedOn SMALLDATETIME ',
		  @KeyName,
		  @KeyValue,
		  @UserID,
		  @boaUserID,
		  @AddedOn

	END

END
GO


