USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[webSecurityRoleUserAdded_#SEC_DEFINITION#Add]
  @UserID AS NVARCHAR(50),
  @RoleID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionID AS UNIQUEIDENTIFIER,
  @boaUserID AS NVARCHAR(50)
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @RoleUserAddCount INT
	DECLARE @I INT
	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @RoleName NVARCHAR(128)
	DECLARE @KeyName NVARCHAR(50)
	DECLARE @KeyValue NVARCHAR(150)
	DECLARE @RoleUserAdd TABLE
	  (
		 ID INT IDENTITY PRIMARY KEY CLUSTERED,
		 RoleName NVARCHAR(128),
		 KeyName NVARCHAR(50),
		 KeyValue NVARCHAR(150),
		 UserID NVARCHAR(50)
	  )

	INSERT INTO @RoleUserAdd
				(RoleName,
				 KeyName,
				 KeyValue,
				 UserID)
	SELECT
	  RoleName,
	  KeyName,
	  KeyValue,
	  UserID
	FROM
	  DSPCommon.dbo.GetSecurityRoleUserAdded(@UserID, @RoleID, @SecurityDefinitionID)

	SET @I = 1

	SELECT
	  @RoleUserAddCount = Count(*)
	FROM
	  @RoleUserAdd

	--Assign the user to the #SEC_DEFINITION# associated to this Role
	WHILE @I <= @RoleUserAddCount
	BEGIN
		SELECT
		  @RoleName = RoleName,
		  @KeyName = KeyName,
		  @KeyValue = KeyValue,
		  @UserID = UserID
		FROM
		  @RoleUserAdd
		WHERE
		  ID = @I

		EXECUTE Template01_webSecurity_#SEC_DEFINITION#Add
		  @UserID,
		  @KeyName,
		  @KeyValue
		  @boaUserID

		SET @I += 1

	END --WHILE

END
GO


