USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[webSecurityRoleUserDeleted_#SEC_DEFINITION#Del]
  @UserID AS NVARCHAR(50),
  @RoleID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionID AS UNIQUEIDENTIFIER
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @RoleUserDeleteCount INT
	DECLARE @I INT
	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @KeyName NVARCHAR(50)
	DECLARE @KeyValue NVARCHAR(150)
	DECLARE @RoleUserDelete TABLE
	  (
		 ID INT IDENTITY PRIMARY KEY CLUSTERED,
		 KeyName NVARCHAR(50),
		 KeyValue NVARCHAR(150),
		 UserID NVARCHAR(50)
	  )

	INSERT INTO @RoleUserDelete
				(KeyName,
				 KeyValue,
				 UserID)
	SELECT
	  KeyName,
	  KeyValue,
	  UserID
	FROM
	  DSPCommon.dbo.GetSecurityRoleUserDeleted(@UserID, @RoleID, @SecurityDefinitionID)
	WHERE
	  UserInOtherRole = 0

	SET @I = 1

	SELECT
	  @RoleUserDeleteCount = Count(*)
	FROM
	  @RoleUserDelete

	WHILE @I <= @RoleUserDeleteCount
	BEGIN
		SELECT
		  @KeyName = KeyName,
		  @KeyValue = KeyValue,
		  @UserID = UserID
		FROM
		  @RoleUserDelete
		WHERE
		  ID = @I

		EXECUTE Template02_webSecurity_#SEC_DEFINITION#Del
		  @UserId,
		  @KeyName,
		  @KeyValue

		SET @I += 1
	END --WHILE

END
GO




