USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[webSecurityRoleKeyAdded_#SEC_DEFINITION#Add]
  @RoleID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionKeyID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionID AS UNIQUEIDENTIFIER,
  @boaUserID AS NVARCHAR(50)
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @RoleKeyAddCount INT
	DECLARE @I INT
	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @KeyName NVARCHAR(50)
	DECLARE @KeyValue NVARCHAR(150)
	DECLARE @UserID NVARCHAR(50)
	DECLARE @RoleKeyAdd TABLE
	  (
		 ID INT IDENTITY PRIMARY KEY CLUSTERED,
		 RoleName NVARCHAR(128),
		 KeyName NVARCHAR(50),
		 KeyValue NVARCHAR(150),
		 UserID NVARCHAR(50)
	  )

	INSERT INTO @RoleKeyAdd
				(KeyName,
				 KeyValue,
				 UserID)
	SELECT
	  KeyName,
	  KeyValue,
	  UserID
	FROM
	  DSPCommon.dbo.GetSecurityRoleKeyAdded(@RoleID, @SecurityDefinitionKeyID, @SecurityDefinitionID)

	SET @I = 1

	SELECT
	  @RoleKeyAddCount = Count(*)
	FROM
	  @RoleKeyAdd

	WHILE @I <= @RoleKeyAddCount
	BEGIN
		SELECT
		  @KeyName = KeyName,
		  @KeyValue = KeyValue,
		  @UserID = UserID
		FROM
		  @RoleKeyAdd
		WHERE
		  ID = @I

		EXECUTE Template01_webSecurity_#SEC_DEFINITION#Add
		  @UserID,
		  @KeyName,
		  @KeyValue,
		  @boaUserID

		SET @I += 1
	END --WHILE

END
GO


