USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[webSecurityRoleKeyDeleted_#SEC_DEFINITION#Del]
  @RoleID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionKeyID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionID AS UNIQUEIDENTIFIER
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @RoleKeyDeleteCount INT
	DECLARE @I INT
	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @KeyName NVARCHAR(50)
	DECLARE @KeyValue NVARCHAR(150)
	DECLARE @UserID NVARCHAR(50)
	DECLARE @RoleKeyDelete TABLE
	  (
		 ID INT IDENTITY PRIMARY KEY CLUSTERED,
		 KeyName NVARCHAR(50),
		 KeyValue NVARCHAR(150),
		 UserID NVARCHAR(50)
	  )

	INSERT INTO @RoleKeyDelete
				(UserID,
				 KeyName,
				 KeyValue)
	SELECT DISTINCT
	  UserID,
	  KeyName,
	  KeyValue
	FROM
	  DSPCommon.dbo.GetSecurityRoleKeyDeleted(@RoleID, @SecurityDefinitionKeyID, @SecurityDefinitionID)
	WHERE
	  UserInOtherRole = 0

	SET @I = 1

	SELECT
	  @RoleKeyDeleteCount = Count(*)
	FROM
	  @RoleKeyDelete

	WHILE @I <= @RoleKeyDeleteCount
	BEGIN
		SELECT
		  @KeyName = KeyName,
		  @KeyValue = KeyValue,
		  @UserID = UserID
		FROM
		  @RoleKeyDelete
		WHERE
		  ID = @I

		EXECUTE Template02_webSecurity_#SEC_DEFINITION#Del
		  @UserId,
		  @KeyName,
		  @KeyValue

		SET @I += 1
	END --WHILE

END
GO


