USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[webSecurityRoleDeleted_#SEC_DEFINITION#Del]
  @RoleID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionID AS UNIQUEIDENTIFIER
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @RoleDeleteCount INT
	DECLARE @I INT
	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @KeyName NVARCHAR(50)
	DECLARE @KeyValue NVARCHAR(150)
	DECLARE @UserID NVARCHAR(50)
	DECLARE @RoleDelete TABLE
	  (
		 ID INT IDENTITY PRIMARY KEY CLUSTERED,
		 KeyName NVARCHAR(50),
		 KeyValue NVARCHAR(150),
		 UserID NVARCHAR(50)
	  )

	INSERT INTO @RoleDelete
				(KeyName,
				 KeyValue,
				 UserID)
	SELECT
	  KeyName,
	  KeyValue,
	  UserID
	FROM
	  DSPCommon.dbo.GetSecurityRoleDeleted(@RoleID, @SecurityDefinitionID)
	WHERE
	  UserInOtherRole = 0

	SET @I = 1

	SELECT
	  @RoleDeleteCount = Count(*)
	FROM
	  @RoleDelete

	WHILE @I <= @RoleDeleteCount
	BEGIN
		SELECT
		  @UserID = UserID,
		  @KeyName = KeyName,
		  @KeyValue = KeyValue
		FROM
		  @RoleDelete
		WHERE
		  ID = @I

		EXECUTE Template02_webSecurity_#SEC_DEFINITION#Del
		  @UserId,
		  @KeyName,
		  @KeyValue

		SET @I += 1
	END --WHILE

END
GO


