USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[webUserSecurityKeyAdded_#SEC_DEFINITION#Add]
  @UserID AS NVARCHAR(50),
  @SecurityDefinitionKeyID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionID AS UNIQUEIDENTIFIER,
  @boaUserID AS NVARCHAR(50)
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @UserSecurityKeyAddCount INT
	DECLARE @I INT
	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @KeyName NVARCHAR(50)
	DECLARE @KeyValue NVARCHAR(150)
	DECLARE @UserSecurityKeyAdd TABLE
	  (
		 ID INT IDENTITY PRIMARY KEY CLUSTERED,
		 UserID NVARCHAR(50),
		 KeyName NVARCHAR(50),
		 KeyValue NVARCHAR(150)
	  )

	INSERT INTO @UserSecurityKeyAdd
				(UserID,
				 KeyName,
				 KeyValue)
	SELECT DISTINCT
	  UserID,
	  KeyName,
	  KeyValue
	FROM
	  DSPCommon.dbo.GetUserSecurityKeyAdded(@UserID, @SecurityDefinitionKeyID, @SecurityDefinitionID)

	SET @I = 1

	SELECT
	  @UserSecurityKeyAddCount = Count(*)
	FROM
	  @UserSecurityKeyAdd

	WHILE @I <= @UserSecurityKeyAddCount
	BEGIN
		SELECT
		  @KeyName = KeyName,
		  @KeyValue = KeyValue,
		  @UserID = UserID
		FROM
		  @UserSecurityKeyAdd
		WHERE
		  ID = @I

		EXECUTE Template01_webSecurity_#SEC_DEFINITION#Add
		  @UserID,
		  @KeyName,
		  @KeyValue,
		  @boaUserID

		SET @I += 1
	END --WHILE

END
GO
