USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[webUserSecurityKeyDeleted_#SEC_DEFINITION#Del]
  @UserID AS NVARCHAR(50),
  @SecurityDefinitionKeyID AS UNIQUEIDENTIFIER,
  @SecurityDefinitionID AS UNIQUEIDENTIFIER
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @UserSecurityKeyDeleteCount INT
	DECLARE @I INT
	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @KeyName NVARCHAR(50)
	DECLARE @KeyValue NVARCHAR(150)
	DECLARE @UserInOtherRole BIT
	DECLARE @UserSecurityKeyDelete TABLE
	  (
		 ID INT IDENTITY PRIMARY KEY CLUSTERED,
		 UserID NVARCHAR(50),
		 KeyName NVARCHAR(50),
		 KeyValue NVARCHAR(150)
	  )

	INSERT INTO @UserSecurityKeyDelete
				(UserID,
				 KeyName,
				 KeyValue)
	SELECT DISTINCT
	  UserID,
	  KeyName,
	  KeyValue
	FROM
	  DSPCommon.dbo.GetUserSecurityKeyDeleted(@UserID, @SecurityDefinitionKeyID, @SecurityDefinitionID)
	WHERE
	  UserInOtherRole = 0

	SET @I = 1

	SELECT
	  @UserSecurityKeyDeleteCount = Count(*)
	FROM
	  @UserSecurityKeyDelete

	WHILE @I <= @UserSecurityKeyDeleteCount
	BEGIN
		SELECT
		  @KeyName = KeyName,
		  @KeyValue = KeyValue,
		  @UserID = UserID
		FROM
		  @UserSecurityKeyDelete
		WHERE
		  ID = @I

		EXECUTE Template02_webSecurity_#SEC_DEFINITION#Del
		  @UserId,
		  @KeyName,
		  @KeyValue

		SET @I += 1
	END --WHILE

END
GO


